__gnu_pbds::detail::maybe_null_type< Key, null_type, _Alloc, Store_Hash > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

Inheritance diagram for __gnu_pbds::detail::maybe_null_type< Key, null_type, _Alloc, Store_Hash >:
[legend]

## Static Public Attributes

static null_type | s_null_type

## Detailed Description

template<typename Key, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::maybe_null_type< Key, null_type, _Alloc, Store_Hash >

Specialization that defines a static data member of type null_type.

Definition at line 126 of file types_traits.hpp.

## Member Data Documentation

## s_null_type

template<typename Key, typename _Alloc, bool Store_Hash>

null_type __gnu_pbds::detail::maybe_null_type< Key, null_type, _Alloc, Store_Hash >::s_null_type

static

Definition at line 128 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp